App\Library\Amazon\Classes\Shoes:
    xml_root_name: Shoes
    properties:
        clothingType:
            expose: true
            access_type: public_method
            serialized_name: ClothingType
            accessor:
                getter: getClothingType
                setter: setClothingType
            type: string
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\Shoes\VariationDataAType
        classificationData:
            expose: true
            access_type: public_method
            serialized_name: ClassificationData
            accessor:
                getter: getClassificationData
                setter: setClassificationData
            type: App\Library\Amazon\Classes\Shoes\ClassificationDataAType
